Update a Field Plugin
https://mapi.storyblok.com/v1/field_types/:field_type_idThis endpoint can be used to perform updates to a field type plugin.
org_field_types/:field_type_idpartner_field_types/:field_type_idPath parameters
Section titled “Path parameters”:field_type_idrequired numberNumeric id of the field plugin
Request body properties
Section titled “Request body properties”field_typeThe Field Plugins ObjectShow
The Field Plugins Objectchild propertiesbodystringThe uncompiled JavaScript code of the field plugin.
compiled_bodystringUsed by the online code editor. Needs to be an empty string if using local plugin development.
space_idsnumber[]Array of space ids where the field plugin is assigned to.
optionsobject[]Options added to the plugin
Show child properties
namestringName of the option
valuestringDefault value of the option
publishnumberIf this parameter is not empty the field plugin will be published.
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/field_types/123123" \ -X PUT \ -H "Authorization: YOUR_PERSONAL_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d "{\"field_type\":{\"body\":\"const Fieldtype = {}\",\"compiled_body\":\"\"}}"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.put('field_types/123123', { "field_type": { "body": "const Fieldtype = {}", "compiled_body": "" } }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_PERSONAL_ACCESS_TOKEN');
$payload = ["field_type" => ["body" => "const Fieldtype = []","compiled_body" => ""]];
$client->put('field_types/123123', $payload)->getBody();HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/field_types/123123") .header("Content-Type", "application/json") .header("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN") .body({"field_type":{"body":"const Fieldtype = {}","compiled_body":""}}) .asString();var client = new RestClient("https://mapi.storyblok.com/v1/field_types/123123");var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");request.AddHeader("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN");request.AddParameter("application/json", "{\"field_type\":{\"body\":\"const Fieldtype = {}\",\"compiled_body\":\"\"}}", ParameterType.RequestBody);IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/field_types/123123"
querystring = {}
payload = {"field_type":{"body":"const Fieldtype = {}","compiled_body":""}}headers = { 'Content-Type': "application/json", 'Authorization': "YOUR_PERSONAL_ACCESS_TOKEN"}
response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_PERSONAL_ACCESS_TOKEN')
payload = {"field_type" => {"body" => "const Fieldtype = {}","compiled_body" => ""}}
client.put('field_types/123123', payload)let storyblok = URLSession(storyblok: .mapi(accessToken: .personal("YOUR_PERSONAL_ACCESS_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "field_types/123123")request.httpMethod = "PUT"request.httpBody = try JSONSerialization.data(withJSONObject: [ "field_type": [ "body": "const Fieldtype = {}", "compiled_body": "", ],])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = Personal("YOUR_PERSONAL_ACCESS_TOKEN") }}
val response = client.put("field_types/123123") { setBody(buildJsonObject { putJsonObject("field_type") { put("body", "const Fieldtype = {}") put("compiled_body", "") } })}
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community